*, *::before, *::after { margin: 0; padding: 0; box-sizing: border-box; }

:root {
  --cream: #1a473b;
  --ink: #f9efbe;
  --muted: rgba(249, 239, 190, 0.4);
}

html, body {
  width: 100%; height: 100%;
  overflow: hidden;
  background: var(--cream);
  font-family: 'DM Sans', sans-serif;
  color: var(--ink);
}

.logo {
  position: fixed;
  top: -1rem; left: -1.7rem;
  z-index: 100;
  padding: 2rem 2.5rem;
}

.logo img {
  height: 65px;
  width: auto;
}

nav {
  position: fixed;
  top: 0;
  right: 0;
  z-index: 100;
  padding: 2rem 2.5rem;
  display: flex;
  gap: 2.5rem;
  align-items: center;
}

nav a {
  font-size: 15px;
  color: #a8b58c;
  text-decoration: none;
  opacity: .6;
  transition: opacity .25s;
}

nav a:hover { opacity: 1; }

main {
  position: fixed;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  width: min(400px, 85vw);
}

.bloc {
  display: flex;
  align-items: center;
  justify-content: center;
  padding: 1.5rem 0;
  border-top:  1px solid #a8b58c;
}

.bloc:last-child {
  border-bottom: 1px solid #a8b58c;
}

.label { display: none; }

.contact-link {
  display: flex;
  align-items: center;
  gap: 1rem;
  color: var(--ink);
  text-decoration: none;
  font-size: 1.2rem;
  transition: opacity .25s;
}

.contact-link:hover { opacity: 1; }

.contact-link span:first-of-type {
  color: #a8b58c;
}

.username {
  font-size: 1rem;
  opacity: .5;
}

.contenu h2 {
  font-size: 1.3rem;
  font-weight: 600;
  margin-bottom: .75rem;
}

.contenu p {
  font-size: 15px;
  line-height: 1.7;
  opacity: .7;
  max-width: 45ch;
}

.contact-link:hover .username {
  opacity: 1;
}

.menu-btn { display: none; }

.menu-mobile {
  display: flex;
  position: fixed;
  top: 0; left: 0;
  width: 100%; height: 100%;
  background: var(--cream);
  z-index: 150;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  gap: 2.5rem;
  opacity: 0;
  pointer-events: none;
  transform: translateY(-1rem);
  transition: opacity .4s ease, transform .4s ease;
}

.menu-mobile.open {
  opacity: 1;
  pointer-events: auto;
  transform: translateY(0);
}

.menu-mobile a {
  font-size: 2rem;
  color: var(--ink);
  text-decoration: none;
  opacity: .8;
}

.menu-mobile a:hover { opacity: 1; }

html, body {
  cursor: none;
}

.cursor {
  position: fixed;
  width: 10px;
  height: 10px;
  background: var(--ink);
  border-radius: 50%;
  pointer-events: none;
  z-index: 9999;
  transform: translate(-50%, -50%);
  transition: width .2s ease, height .2s ease;
}

.cursor.hover {
  width: 24px;
  height: 24px;
}

a, button, .photo-card {
  cursor: none;
}

*, *::before, *::after {
  cursor: none !important;
}


@media (max-width: 768px) {
  nav { display: none; }

  .menu-btn {
    display: block;
    position: fixed;
    top: 0.9rem; right: 1.5rem;
    z-index: 200;
    background: none;
    border: none;
    cursor: pointer;
    padding: 0;
  }

  .menu-btn img {
  width: 44px;
  height: 44px;
  object-fit: contain;
  margin-top: 1rem;

}
}
